ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader

htaccess

Author Message
Tony



Joined: 13 Nov 2005
Posts: 2

PostPosted: Sun Nov 13, 2005 7:48 am    Post subject: htaccess Reply with quote

Hi,
I'm on Unix box and I don't access on the php.ini I uploaded the free ioncube_loader_fre_4.4.so in the ioncube DIR, I used the ioncube-loader-helper.php to install the loader now I'm geting this error
Quote:
The file /hsphere/local/home/licketys/mydomain.com/thebest/index.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_fre_4.4.so ionCube PHP Loader to be installed.


Any one knows how do I include_path in my .htaccess I used this but it didn't worked: php_value include_path .:/ioncube/ioncube_loader_fre_4.4.so/

Thanks

Tony
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2788

PostPosted: Sun Nov 13, 2005 10:34 pm    Post subject: Reply with quote

Hi Tony,

The simple answer is that you don't. Engine extensions cannot be installed via htaccess files.

As a first step, use the Loader helper script that comes with the Loaders to check for whether your system is configured for runtime install of the Loaders. This will attempt to install the Loader with dl(), and also catch many of the common configuration problems that prevent dynamic install. If you need more help at that point, please create a support ticket and send us the URL of the Loader helper script and we'll advise further.
_________________
Community Admin
Back to top
View user's profile Send private message
Tony



Joined: 13 Nov 2005
Posts: 2

PostPosted: Sun Nov 13, 2005 11:34 pm    Post subject: Reply with quote

Hi, Nick thanks for the replay, I did use the Loader helper script that comes with the Loaders and I did install the loader
Quote:


An ionCube Loader file is required by PHP to read files encoded with the ionCube Encoder. This page will determine how you can install Loaders on this particular server.

An ionCube encoded file has been loaded successfully.
Encoded files should now function correctly.

If you have permission to edit the php.ini configuration file for this server you can increase performance by following the php.ini installation instructions.

If you have a problem with your PHP application, please contact the application provider.


But I still have the same error:Quote:
The file /hsphere/local/home/licketys/mysite.com/thebest/index.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_fre_4.4.so ionCube PHP Loader to be installed.
By the way the back end (admin) is fine I can login and all!

M'I missing something here????
Back to top
View user's profile Send private message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2788

PostPosted: Mon Nov 14, 2005 11:26 am    Post subject: Reply with quote

Hi

If the encoded files are working in some cases but not in others, then it could be that the Loaders cannot be located from the location of the files that don't work, or possibly that they were corrupted during installation. If the files are binary then this is quite likely, but if ascii encoded then corruption during install probably isn't the reason. Running the Loader helper from the location of a file that can't install the Loader could be useful. If you're still stuck after checking things further then please create a helpdesk ticket and we can advise further.
_________________
Community Admin
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    ionCube Forum Index -> ionCube Loader All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum